my $expected_version = "0.06";
print("import: PostScript::Document\n");
use PostScript::Document;

if (defined PostScript::Document->VERSION) {
	my $given_version = PostScript::Document->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . PostScript::Document->VERSION . '
');

}
print("import: PostScript::Elements\n");
use PostScript::Elements;

if (defined PostScript::Elements->VERSION) {
	my $given_version = PostScript::Elements->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . PostScript::Elements->VERSION . '
');

}
print("import: PostScript::Metrics\n");
use PostScript::Metrics;

if (defined PostScript::Metrics->VERSION) {
	my $given_version = PostScript::Metrics->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . PostScript::Metrics->VERSION . '
');

}
print("import: PostScript::TextBlock\n");
use PostScript::TextBlock;

if (defined PostScript::TextBlock->VERSION) {
	my $given_version = PostScript::TextBlock->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . PostScript::TextBlock->VERSION . '
');

}
